---
title: CSS Text
slug: Web/CSS/CSS_Text
tags:
  - CSS
  - CSS Text
  - Guide
  - Overview
---
<div>{{CSSRef}}</div>

<p><strong>CSS Text</strong> is a module of CSS that defines how to perform text manipulation, like line breaking, justification and alignment, white space handling, and text transformation.</p>

<h2 id="Reference">Reference</h2>

<h3 id="Properties">Properties</h3>

<div class="index">
<ul>
 <li>{{cssxref("hanging-punctuation")}}</li>
 <li>{{cssxref("hyphens")}}</li>
 <li>{{cssxref("letter-spacing")}}</li>
 <li>{{cssxref("line-break")}}</li>
 <li>{{cssxref("overflow-wrap")}}</li>
 <li>{{cssxref("tab-size")}}</li>
 <li>{{cssxref("text-align")}}</li>
 <li>{{cssxref("text-align-last")}}</li>
 <li>{{cssxref("text-indent")}}</li>
 <li>{{cssxref("text-justify")}}</li>
 <li>{{cssxref("text-size-adjust")}}</li>
 <li>{{cssxref("text-transform")}}</li>
 <li>{{cssxref("white-space")}}</li>
 <li>{{cssxref("word-break")}}</li>
 <li>{{cssxref("word-spacing")}}</li>
</ul>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS Logical Properties')}}</td>
   <td>{{Spec2('CSS Logical Properties')}}</td>
   <td>Updates some properties to be independent of the directionality of the text.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Text')}}</td>
   <td>{{Spec2('CSS3 Text')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('CSS2.1', 'text.html')}}</td>
   <td>{{Spec2('CSS2.1')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('CSS1')}}</td>
   <td>{{Spec2('CSS1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>
